## tuiwidgets 0.2

=== doc/requirements.txt ===
MarkupSafe
Jinja2
sphinx >=5,<6
sphinx-autobuild
sphinxcontrib-images
beautifulsoup4

=== debian/changelog ===
tuiwidgets (0.2-1.1) unstable; urgency=medium

  * sbin NMU to rebuild on buildd.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 03 Feb 2023 19:59:47 +0100

tuiwidgets (0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1027293)

 -- Christoph Hueffelmann <chr@istoph.de>  Sat, 21 Jan 2023 21:45:50 +0100

=== debian/control ===
Source: tuiwidgets
Maintainer: Christoph Hueffelmann <chr@istoph.de>
Section: libs
Priority: optional
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
  debhelper-compat (=13),
  meson,
  ninja-build,
  pkg-config,
  qt5-qmake,
  qttools5-dev-tools,
  qtbase5-dev,
  catch2,
  python3-sphinx:native,
  python3-bs4,
  python3-freetype,
  fonts-dejavu-core,
  fonts-dejavu-extra,
  fonts-unifont,
  python3-pil,
  dh-sequence-sphinxdoc,
  libtermpaint-dev,
  libposixsignalmanager-dev
Homepage: https://tuiwidgets.namepad.de/
Vcs-Git: https://salsa.debian.org/chr/tuiwidgets.git
Vcs-Browser: https://salsa.debian.org/chr/tuiwidgets

Package: libtuiwidgets0a
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: high-level widget based toolkit for terminal applications - shared library
 It is designed to be flexible and similar to use to Qt graphical widgets.
 Its look and feel is similar to graphical applications or classic full screen
 terminal applications from the PC world of the 90s.
 .
 This package contains the shared libraries necessary to run programs
 compiled with tuiwidgets.

Package: libtuiwidgets-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtuiwidgets0a (= ${binary:Version}), ${misc:Depends}
Description: high-level widget based toolkit for terminal applications - headers
 It is designed to be flexible and similar to use to Qt graphical widgets.
 Its look and feel is similar to graphical applications or classic full screen
 terminal applications from the PC world of the 90s.
 .
 This package contains the header files and symbolic links need for
 building software using tuiwidgets.

Package: libtuiwidgets-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: high-level widget based toolkit for terminal applications - documentation
 It is designed to be flexible and similar to use to Qt graphical widgets.
 Its look and feel is similar to graphical applications or classic full screen
 terminal applications from the PC world of the 90s.
 .
 This package contains the documentation to run programs
 compiled with tuiwidgets.

## tuiwidgets 0.2.1

=== meson_options.txt ===
option('system-catch2', type : 'feature', value : 'disabled')
option('system-posixsignalmanager', type : 'feature', value : 'auto')

=== debian/changelog ===
tuiwidgets (0.2.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:13:28 +1100

tuiwidgets (0.2.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:20:00 +0000

tuiwidgets (0.2.1-1) unstable; urgency=medium

  * New upstream version
  * Add dependency for libtuiwidgets-dev on libtermpaint-dev,
    libposixsignalmanager-dev, qtbase5-dev

 -- Christoph Hueffelmann <chr@istoph.de>  Sun, 10 Dec 2023 23:06:36 +0000

tuiwidgets (0.2-2) unstable; urgency=medium

  * Update salsa ci to enable build package twice and fix (Closes: #1047905)
  * catch2 v3 breaks tests (Closes: 1053776)
  * debian/libtuiwidgets0a.symbols: Add additional optional symbol from armhf
    build.

 -- Christoph Hueffelmann <chr@istoph.de>  Sun, 15 Oct 2023 22:22:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tuiwidgets
-Maintainer: Christoph Hueffelmann <chr@istoph.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Hueffelmann <chr@istoph.de>
 Section: libs
 Priority: optional
 Standards-Version: 4.6.2
@@ -43,7 +44,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtuiwidgets0a (= ${binary:Version}), ${misc:Depends}
+Depends: libtuiwidgets0a (= ${binary:Version}), libtermpaint-dev,
+ libposixsignalmanager-dev, qtbase5-dev, ${misc:Depends}
 Description: high-level widget based toolkit for terminal applications - headers
  It is designed to be flexible and similar to use to Qt graphical widgets.
  Its look and feel is similar to graphical applications or classic full screen
@@ -54,6 +56,7 @@
 
 Package: libtuiwidgets-doc
 Section: doc
+Multi-Arch: foreign
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Built-Using: ${sphinxdoc:Built-Using}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dsystem-catch2=enabled

execute_after_dh_auto_build:
	cd doc && ./qt5.inv.py && python3 -m sphinx -b html . _build -a

=== debian/tests/control ===
Tests: selftests
Depends: @, build-essential, meson, ninja-build, pkg-config, catch2, qt5-qmake, qttools5-dev-tools, qtbase5-dev, libtermpaint-dev, libposixsignalmanager-dev, libtuiwidgets-dev
Restrictions: allow-stderr

## tuiwidgets 0.2.2

=== meson_options.txt ===
option('rpath', type : 'string', value : '')
option('system-catch2', type : 'feature', value : 'disabled')
option('system-posixsignalmanager', type : 'feature', value : 'auto')
option('tests', type : 'boolean', value : true)

=== debian/changelog ===
tuiwidgets (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2
  * d/control: add uploader
  * d/patches: remove backported patches

 -- Christoph Hueffelmann <chr@istoph.de>  Thu, 03 Apr 2025 21:37:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: tuiwidgets
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Hueffelmann <chr@istoph.de>
+Maintainer: Christoph Hueffelmann <chr@istoph.de>
+Uploaders: Martin Hostettler <textshell@uchuujin.de>
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
   debhelper-compat (=13),
   meson,
   ninja-build,
-  pkg-config,
+  pkgconf,
   qt5-qmake,
   qttools5-dev-tools,
   qtbase5-dev,
   catch2,
   python3-sphinx:native,
+  python3-sphinxcontrib.images:native,
   python3-bs4,
   python3-freetype,
   fonts-dejavu-core,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tuiwidgets-$1\.tar\.gz/ \
  https://github.com/tuiwidgets/tuiwidgets/tags .*/v?(\d\S+)\.tar\.gz

## tuiwidgets 0.2.3

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: BSL-1.0
+option('qt', type : 'combo', choices : ['qt5', 'qt6'], value : 'qt5', yield: true)
 option('rpath', type : 'string', value : '')
 option('system-catch2', type : 'feature', value : 'disabled')
 option('system-posixsignalmanager', type : 'feature', value : 'auto')

=== debian/changelog ===
tuiwidgets (0.2.3-1) unstable; urgency=medium

  * New upstream version 0.2.3
  * Add Qt6 sub-packages
    d/patches: Add src/meson.build: change include directory for parallel
  * move libtuiwidgets-doc files to /usr/share/doc/libtuiwidgets-doc/html
  * d/patches: Add patches from upstream for autopkgtests.
  * d/patches: remove patch applied upstream: doc/conf.py: set default group for
    images extension for reproducible build

 -- Christoph Hueffelmann <chr@istoph.de>  Mon, 03 Nov 2025 21:40:52 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Section: libs
 Priority: optional
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Build-Depends:
   debhelper-compat (=13),
   meson,
@@ -13,6 +12,10 @@
   qt5-qmake,
   qttools5-dev-tools,
   qtbase5-dev,
+  qmake6,
+  qt6-base-dev,
+  qt6-tools-dev-tools,
+  qt6-5compat-dev,
   catch2,
   python3-sphinx:native,
   python3-sphinxcontrib.images:native,
@@ -24,7 +27,8 @@
   python3-pil,
   dh-sequence-sphinxdoc,
   libtermpaint-dev,
-  libposixsignalmanager-dev
+  libposixsignalmanager-dev,
+  libposixsignalmanager-qt6-dev
 Homepage: https://tuiwidgets.namepad.de/
 Vcs-Git: https://salsa.debian.org/chr/tuiwidgets.git
 Vcs-Browser: https://salsa.debian.org/chr/tuiwidgets
@@ -55,6 +59,32 @@
  This package contains the header files and symbolic links need for
  building software using tuiwidgets.
 
+Package: libtuiwidgets-qt6-0a
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: high-level widget based toolkit for terminal applications - Qt6 shared library
+ It is designed to be flexible and similar to use to Qt graphical widgets.
+ Its look and feel is similar to graphical applications or classic full screen
+ terminal applications from the PC world of the 90s.
+ .
+ This package contains the Qt6 shared libraries necessary to run programs
+ compiled with tuiwidgets.
+
+Package: libtuiwidgets-qt6-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libtuiwidgets0a (= ${binary:Version}), libtermpaint-dev,
+ libposixsignalmanager-qt6-dev, qt6-base-dev, ${misc:Depends}
+Description: high-level widget based toolkit for terminal applications - Qt6 headers
+ It is designed to be flexible and similar to use to Qt graphical widgets.
+ Its look and feel is similar to graphical applications or classic full screen
+ terminal applications from the PC world of the 90s.
+ .
+ This package contains the Qt6 header files and symbolic links need for
+ building software using tuiwidgets.
+
 Package: libtuiwidgets-doc
 Section: doc
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,23 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dsystem-catch2=enabled
+	dh_auto_configure --builddirectory=build-qt5 -- -Dsystem-catch2=enabled -Dqt=qt5
+	dh_auto_configure --builddirectory=build-qt6 -- -Dsystem-catch2=enabled -Dqt=qt6
+override_dh_auto_build:
+	dh_auto_build --builddirectory=build-qt5
+	dh_auto_build --builddirectory=build-qt6
+override_dh_auto_install:
+	dh_auto_install --builddirectory=build-qt5
+	dh_auto_install --builddirectory=build-qt6
+override_dh_install:
+	dh_install --sourcedir=build-qt5/debian/tmp --package=libtuiwidgets0a
+	dh_install --sourcedir=build-qt5/debian/tmp --package=libtuiwidgets-dev
+	dh_install --sourcedir=build-qt6/debian/tmp --package=libtuiwidgets-qt6-0a
+	dh_install --sourcedir=build-qt6/debian/tmp --package=libtuiwidgets-qt6-dev
+	dh_install --sourcedir=. --package=libtuiwidgets-doc
+override_dh_auto_clean:
+	dh_auto_clean --builddirectory=build-qt5
+	dh_auto_clean --builddirectory=build-qt6
 
 execute_after_dh_auto_build:
 	cd doc && ./qt5.inv.py && python3 -m sphinx -b html . _build -a

=== debian/tests/control ===
Test-Command: /bin/bash debian/tests/selftests qt5
Depends: @, build-essential, meson, ninja-build, pkgconf, qt5-qmake, qttools5-dev-tools, qtbase5-dev, catch2, libtermpaint-dev, libposixsignalmanager-dev, libtuiwidgets-dev
Restrictions: allow-stderr

Test-Command: /bin/bash debian/tests/selftests qt6
Depends: @, build-essential, meson, ninja-build, pkgconf, qmake6, qt6-base-dev, qt6-tools-dev-tools, catch2, libtermpaint-dev, libposixsignalmanager-qt6-dev, libtuiwidgets-qt6-dev
Restrictions: allow-stderr
